Posted by
Henagon

Teamviewer 12 on Debian 10 (buster)

Hello, I'm trying to install teamviewer 12 on debian buster x64.

I need the version 12 because of licence of my company.

I try with this doc but it doen't work :

https://community.teamviewer.com/t5/Knowledge-Base/How-do-I-install-TeamViewer-12-on-my-Linux-distri...

I have this trouble when I try :

root@Thinkbian:/home/eoran/Bureau/TeamViewer12 nuc# apt-get install ./teamviewer_12.0.137452_i386.deb
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Note : sélection de « teamviewer:i386 » au lieu de « ./teamviewer_12.0.137452_i386.deb »
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
teamviewer:i386 : Dépend: libc6:i386 (>= 2.11) mais il n'est pas installable
Dépend: libgcc1:i386 mais il n'est pas installable
Dépend: libasound2:i386 mais il n'est pas installable
Dépend: libdbus-1-3:i386 mais il n'est pas installable
Dépend: libexpat1:i386 mais il n'est pas installable
Dépend: libfontconfig1:i386 mais il n'est pas installable
Dépend: libfreetype6:i386 mais il n'est pas installable
Dépend: libjpeg62:i386 mais il n'est pas installable
Dépend: libsm6:i386 mais il n'est pas installable
Dépend: libxdamage1:i386 mais il n'est pas installable
Dépend: libxext6:i386 mais il n'est pas installable
Dépend: libxfixes3:i386 mais il n'est pas installable
Dépend: libxinerama1:i386 mais il n'est pas installable
Dépend: libxrandr2:i386 mais il n'est pas installable
Dépend: libxrender1:i386 mais il n'est pas installable
Dépend: libxtst6:i386 mais il n'est pas installable
Dépend: zlib1g:i386 mais il n'est pas installable
Recommande: ttf-liberation:i386 mais il n'est pas installable ou
fonts-liberation:i386
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
root@Thinkbian:/home/eoran/Bureau/TeamViewer12 nuc#

So, i'm french and my os was installed in french.

The error message give me information about missed dependencies...

Could someone help me ?

4 Replies
4 Replies
Highlighted
Posted by
Photon

Re: Teamviewer 12 on Debian 10 (buster)

Je voudrais aussi savoir ...

personne pour aider à installer teamviewer 12 sur un debian buster ... ?

Highlighted
Posted by
Tetragon

Re: Teamviewer 12 on Debian 10 (buster)

hi,

i"m wondering, that you try to install a i386 .dep package onto your 64bit box.

And plz use        LANG=C   apt-get install ...   to get readable messages.

Highlighted
Posted by
Photon

Re: Teamviewer 12 on Debian 10 (buster)

bonjour c'est possible

sudo dpkg --add-architecture i386

 
sudo apt-get update

sudo apt-get install gdebi -y
$ sudo  wget download.teamviewer.com/download/version_10x/teamviewer_linux.deb
techarger la dernière version sur leur site
$ sudo gdebi teamviewer_linux.deb' la version téléchargé l'installation est un peu longue mais après c'est bon c'est opérationnel

Highlighted
Posted by
Photon

Re: Teamviewer 12 on Debian 10 (buster)

Bonjour,

Merci pour les astuces, mais avec des anciennes versions l'installation se fait mais Teamviewer n'est pas operationnel. Il ne se lance tout simplement pas (Peut être une restriction GUI de ce dernier) J'ai toujours installé la version 9 de teamviewer depuis la debian 7 jusqu'a la 9 mais depuis la 10 impossible de trouver une astuce qui fonctionne.

On obtient :

Init...
Checking setup...
Launching TeamViewer ...

Si je prends de la version 13 à 15 de Teamviewer pas de souci sur la debian 10 (J'ai fais beaucoup de tests).

C'est vraiment dommage qu'un géant tel que Teamviewer porte la version microsoft en emulation sous linux sans devellopper une reélle version (ils doivent avoir leurs raisons)

Snif :(:(:(